При попытке клиентов Application Virtualization 4.5 запустить управляемые приложения могут возникнуть ошибки 0xC0000135

ВНИМАНИЕ! Данная статья переведена с использованием программного обеспечения Майкрософт для машинного перевода и, возможно, отредактирована посредством технологии Community Translation Framework (CTF). Корпорация Майкрософт предлагает вам статьи, обработанные средствами машинного перевода, отредактированные членами сообщества Майкрософт и переведенные профессиональными переводчиками, чтобы вы могли ознакомиться со всеми статьями нашей базы знаний на нескольких языках. Статьи, переведенные с использованием средств машинного перевода и отредактированные сообществом, могут содержать смысловое, синтаксические и (или) грамматические ошибки. Корпорация Майкрософт не несет ответственности за любые неточности, ошибки или ущерб, вызванные неправильным переводом контента или его использованием нашими клиентами. Подробнее об CTF можно узнать по адресу http://support.microsoft.com/gp/machine-translation-corrections/ru.

Эта статья на английском языке: 959457
Источник: Служба технической поддержки Майкрософт
БЫСТРАЯ ПУБЛИКАЦИЯ.
СТАТЬИ ИЗ СЕРИИ "БЫСТРАЯ ПУБЛИКАЦИЯ" ПРЕДОСТАВЛЯЮТ СВЕДЕНИЯ НЕПОСРЕДСТВЕННО ИЗ СЛУЖБЫ ПОДДЕРЖКИ МАЙКРОСОФТ. СВЕДЕНИЯ, СОДЕРЖАЩИЕСЯ В НАСТОЯЩЕМ ДОКУМЕНТЕ СОЗДАЕТСЯ В ОТВЕТ НА НОВЫХ ИЛИ УНИКАЛЬНЫЕ ТЕМЫ, ИЛИ ДОПОЛНЯЮТ ДРУГИЕ СВЕДЕНИЯ БАЗЫ ЗНАНИЙ.
Симптом


Клиенты 4.5 виртуализации приложений Microsoft при попытке запуска любой виртуализации приложения, содержащего управляемый код может появиться следующее сообщение об ошибке:

{Имя приложения -} Ошибка при инициализации платформа.NET Framework 0xC0000135

Не удалось загрузить %windir%\Micosoft.NET\Framework\{.NET Version}\mscorwks.dll
Причина
Решение


Сценарий 1: упорядочивание приложений для развертывания на клиентах Windows Vista RTM

• Версия .NET, которое больше или равно требования приложений .NET должны быть установлены локально на станции последовательности

· Пример: Windows Vista RTM включает .NET 3.0. Если приложение, в котором упорядочивается требуется версия .NET, новее, чем 3.0 необходимо установить более новую версию .NET на рабочей станции последовательности продолжения последовательности приложения.

Сценарий 2: Упорядочивание приложений для развертывания на клиентах Windows Vista с пакетом обновления 1

• Окончательной первоначальной версии 3.5 .NET можно упорядочивать успешно полностью patched системы Windows Vista с пакетом обновления 1, необходимо на рабочей станции последовательности без дополнительной установки .NET

Сценарий 3: Упорядочивание приложений для развертывания на клиентах Windows XP

• Версия .NET, необходимые приложению упорядочивать должны быть установлены локально на рабочей станции последовательности до виртуализация приложения.



Руководство по использованию .NET с виртуальных приложений, упорядочены в App-V версии 4.5

Чтобы использовать приложение, которое имеет зависимость от любой версии .NET, требуется установленной .NET локально на клиентском компьютере.



Сценарий 1: Одного виртуализованные приложения на клиентском компьютере с зависимостью .NET

• .NET должны быть установлены локально на клиента

• Локально установленная версия .NET должен быть больше или равно требования приложения .NET

Сценарий 2: Некоторые виртуальные приложения на клиентском компьютере с зависимостью .NET

• .NET должны быть установлены локально на клиента

• Локально установленная версия .NET должен быть больше или равно максимальную версию .NET зависимостей приложений

· Пример: Если два пакета для развертывания с зависимостью .NET 2.0, а другой с зависимостью .NET 3.0 в порядке, как работал правильно, для .NET 3.0 должны быть установлены локально. Исключение: Если приложение зависит от .NET 3.5, будут развернуты в системе Vista SP1 локальной установкой .NET 3.5 на целевой системе не является обязательным. Поддержка прежних версий пакетов (pre App-V версии 4.5), платформа .NET Framework упорядочены внутри пакета. Пакеты, которые были упорядочены с APP-V 4.2 или ниже, включающих .NET и будут развернуты 4,5 клиентам следуйте тем же набором правил последовательных приложений App-V версии 4.5.

• Клиенте операционной системы должен быть локально установленной .NET. Установленная версия должна быть больше или равно зависимость приложения .NET

• Окончательной первоначальной версии Windows Vista включает в себя .NET 3.0 по умолчанию, без дополнительной установки .NET является обязательным, если приложение требует .NET 3.5

• Windows Vista с пакетом обновления 1 (полностью исправление) включает в себя .NET 3.0 по умолчанию, без дополнительной установки .NET является обязательным, если приложение требует .NET 3.5

• Все версии клиента Windows XP требуется локальная установка платформы .NET, поскольку .NET не включается по умолчанию в системах Windows XP





Список требований для поддержки .NET 4.5 виртуализации приложений Microsoft



.NET зависимость .NET последовательность пакетов App-V версии 4.5 рабочей станции развертывания App-V версии 4.5 с .NET зависимости пакетов App-V устаревших развертывание, которые включают .NET клиентам App-V версии 4.5

XP SP2 1.0 .NET должен быть установлен локально

1.1

2.0

3.0

3.5 RTM-ВЕРСИИ

Vista RTM-версии 2.0, по умолчанию устанавливается как часть операционной системы Windows Vista

3.0

3.5 RTM .NET должен быть установлен локально

Vista SP1 (полностью patched) 2.0 устанавливается по умолчанию как часть Windows Vista

3.0

Без явной необходимости установки RTM-версии 3.5
Дополнительные сведения


Совместимость с .NET был изменен с версии 4.5. Начиная с SoftGrid версии 4.2 последовательных приложений .NET может завершиться ошибкой. Последовательность процедур для приложений .NET, написанные для SoftGrid 4.2 может потребоваться обновить при использовании 4,5 секвенсор.
ОТКАЗ ОТ ОТВЕТСТВЕННОСТИ
КОРПОРАЦИЯ МАЙКРОСОФТ И ЕЕ ПОСТАВЩИКИ НЕ ДЕЛАЮТ НИКАКИХ УТВЕРЖДЕНИЙ ИЛИ НИКАКИХ ГАРАНТИЙ О ПРИГОДНОСТИ, НАДЕЖНОСТЬ И ТОЧНОСТЬ СВЕДЕНИЙ, СОДЕРЖАЩИХСЯ В ДОКУМЕНТАХ И СВЯЗАННЫЕ РИСУНКИ ОПУБЛИКОВАНЫ НА ВЕБ-САЙТЕ ("МАТЕРИАЛЫ") ДЛЯ ЛЮБЫХ ЦЕЛЕЙ. МАТЕРИАЛЫ МОГУТ СОДЕРЖАТЬ ТЕХНИЧЕСКИЕ НЕТОЧНОСТИ ИЛИ ОПЕЧАТОК И МОЖЕТ БЫТЬ ИЗМЕНЕН В ЛЮБОЕ ВРЕМЯ БЕЗ ПРЕДВАРИТЕЛЬНОГО УВЕДОМЛЕНИЯ.

В МАКСИМАЛЬНОЙ СТЕПЕНИ, ДОПУСКАЕМОЙ ПРИМЕНИМЫМ ЗАКОНОДАТЕЛЬСТВОМ, КОРПОРАЦИЯ МАЙКРОСОФТ И ЕЕ ПАРТНЕРАМ ОТКАЗЫВАЮТСЯ ОТ И ИСКЛЮЧИТЬ ВСЕ ПРЕДСТАВЛЕНИЯ, ГАРАНТИИ И УСЛОВИЯ ЯВНЫЕ, КОСВЕННЫЕ ИЛИ УСТАНОВЛЕННЫЕ ЗАКОНОМ, ВКЛЮЧАЯ, НО НЕ ОГРАНИЧИВАЯСЬ ПРЕДСТАВЛЕНИЯ, ГАРАНТИИ ИЛИ УСЛОВИЯ ПРИНАДЛЕЖНОСТИ ПРАВА, НЕ НАРУШЕНИЯ ПРАВ ИНЫХ ПРАВООБЛАДАТЕЛЕЙ, НАДЛЕЖАЩЕГО СОСТОЯНИЯ ИЛИ КАЧЕСТВА, ТОВАРНОЙ ПРИГОДНОСТИ И ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННОЙ ЦЕЛИ, ПО ОТНОШЕНИЮ К МАТЕРИАЛАМ.
Примечание. Это ЭКСПРЕСС-ПУБЛИКАЦИЯ, подготовленная непосредственно службой технической поддержки Майкрософт . Сведения, содержащиеся в данном документе, предоставлены в качестве отклика на возникшие проблемы. Из-за срочности в материалах могут быть опечатки, и в любое время и без уведомления в них могут быть внесены изменения. Чтобы получить дополнительные сведения, см. Условия использования.
Свойства

Номер статьи: 959457 — последний просмотр: 07/25/2015 15:16:00 — редакция: 5.0

Microsoft SoftGrid for Terminal Services, Microsoft SoftGrid for Windows Desktops, Microsoft Application Virtualization 4.5 for Terminal Services, Microsoft Application Virtualization 4.5 for Windows Desktops

  • kbnomt kbrapidpub kbmt KB959457 KbMtru
Отзывы и предложения